# ai_vehiclelist.hpp File Reference

List all the vehicles (you own). More...

`#include "ai_abstractlist.hpp"`
`#include "ai_vehicle.hpp"`

Go to the source code of this file.

## Data Structures

class | AIVehicleList
| Creates a list of vehicles of which you are the owner. More...
class | AIVehicleList_Station
| Creates a list of vehicles that have orders to a given station. More...
class | AIVehicleList_Depot
| Creates a list of vehicles that have orders to a given depot. More...
class | AIVehicleList_SharedOrders
| Creates a list of vehicles that share orders. More...
class | AIVehicleList_Group
| Creates a list of vehicles that are in a group. More...
class | AIVehicleList_DefaultGroup
| Creates a list of vehicles that are in the default group. More...

## Detailed Description

List all the vehicles (you own).

Definition in file ai_vehiclelist.hpp.